import { useTranslation } from "next-i18next";
import { serverSideTranslations } from "next-i18next/serverSideTranslations";

import { Alert, Card, Container, Space, useMantineTheme } from "@mantine/core";

export default function CheckMail() {
  const theme = useMantineTheme();
  const { t } = useTranslation("common");

  return (
    <Container size="xs">
      <Card withBorder shadow="md">
        <div style={{ textAlign: "center" }}>
          {theme.colorScheme === "dark" ? (
            <img
              src="https://static.vseth.ethz.ch/assets/vseth-0522-thealt/logo-inv.svg"
              alt="TheAlternative Logo"
              style={{ maxWidth: "100%", width: "20rem" }}
            />
          ) : (
            <img
              src="/images/logo.svg"
              alt="TheAlternative Logo"
              style={{ maxWidth: "100%", width: "20rem" }}
            />
          )}
        </div>
        <Space h="xl" />
        <Alert title={t("checkYourEmail")}>{t("checkYourEmailText")}</Alert>
      </Card>
    </Container>
  );
}

export async function getStaticProps({ locale }) {
  return {
    props: {
      ...(await serverSideTranslations(locale, ["common"])),
      protected: false,
    },
  };
}
